Cantera 2.6.0

Namespaces | Functions
Interface.cpp File Reference
`#include "cantera/base/Interface.h"`
`#include "cantera/thermo/ThermoFactory.h"`
`#include "cantera/kinetics/KineticsFactory.h"`
Include dependency graph for Interface.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
shared_ptr< Interface > | newInterface (const std::string &infile, const std::string &name="", const std::vector< std::string > &adjacent={})
| Create and initialize a new Interface from an input file. More...
shared_ptr< Interface > | newInterface (const std::string &infile, const std::string &name, const std::vector< shared_ptr< Solution > > &adjacent)
| Create and initialize a new Interface from an input file. More...
shared_ptr< Interface > | newInterface (AnyMap &phaseNode, const AnyMap &rootNode=AnyMap(), const std::vector< shared_ptr< Solution > > &adjacent={})
| Create and initialize a new Interface from AnyMap objects. More...